import { defineComponent, h } from "vue";
import AudioPlayer from "vue3-audio-player";
import { deepmerge as merge } from "deepmerge-ts";
import "vue3-audio-player/dist/style.css";
import "./audioPlayer.css";
// @ts-ignore
import { vue3AudioPlayer } from "@temp/SmplayerOptions.json";
const AUDIOPLAYER = vue3AudioPlayer;
export default defineComponent({
    props: {
        src: {
            type: Object,
            required: true,
        },
    },
    setup(props) {
        const src = {
            ...merge(AUDIOPLAYER.src, props.src),
        };
        return () => [
            h("div", {
                class: "smplayer-audio",
            }, [
                h(AudioPlayer, {
                    option: src,
                }),
            ]),
        ];
    },
});
